/**
 * Menambahkan querystring ke sebuah url
 *
 * @author Adhidarma Hadiwinoto <me@adhisimon.org>
 * @version 2020.03.20
 */

/**
 * require nodejs querystring module
 */
const querystring = require('querystring');

/**
 * @param  {string} originalUrl
 * @param  {Object} qs
 * @returns {string}
 */
module.exports = (originalUrl, qs) => {
    const separator = originalUrl.indexOf('?') < 0 ? '?' : '&';
    return `${originalUrl}${separator}${querystring.stringify(qs)}`;
};
